using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace KuchenTest4
{
    public partial class KuchenBasarListe : Form
    {
        IKuchenBasar kuchenBasarIntern;

		public KuchenBasarListe(IKuchenBasar kuchenbasar)
		{
			InitializeComponent();

			kuchenBasarIntern = kuchenbasar;

			numericUpDownGaesteID.Value = kuchenbasar.AktGaesteID;
			numericUpDownKuchenID.Value = kuchenbasar.AktKuchenID;
			numericUpDownBestellungenID.Value = kuchenbasar.AktBestellungenID;
		}

        public KuchenBasarListe()
        {
            InitializeComponent();
        }

		void buttonAbbruch_Click(Object sender, EventArgs e)
		{
			this.Close();
		}

		void buttonSpeichern_Click(Object sender, EventArgs e)
		{
			kuchenBasarIntern.AktGaesteID = Convert.ToInt32(numericUpDownGaesteID.Value);
			kuchenBasarIntern.AktKuchenID = Convert.ToInt32(numericUpDownKuchenID.Value);
			kuchenBasarIntern.AktBestellungenID = Convert.ToInt32(numericUpDownBestellungenID.Value);

			this.Close();
		}
    };
}
